Libclient caching does not respect accessPolicies

2012-08-31 15:48 - Rob Nahf

Status: New Start date:  

Priority: Low Due date:  

Assignee: Rob Nahf % Done: 0%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

Currently, libclient allows the get() method to specify the session/subject of the caller, but the underlying JCS cache does not

associate the session/subject of the caller with the cache.  Therefore, objects retrieved by one subject are available to any other

subject using that MNode instance, even if otherwise a NotAuthorized would be returned if the object was not previously cached.

History

#1 - 2012-09-28 22:09 - Rob Nahf

- Target version changed from Sprint-2012.35-Block.5.2 to Sprint-2012.39-Block.5.4

- Position changed from 1 to 493

- Position set to 1

#2 - 2012-10-09 20:00 - Rob Nahf

- translation missing: en.field_remaining_hours set to 0.0

- Due date set to 2012-10-27

- Priority changed from High to Low

- Target version changed from Sprint-2012.39-Block.5.4 to Sprint-2012.41-Block.6.1

this is not a burning issue, so find an easy solution or throw into the backlogs.

#3 - 2012-10-24 17:50 - Rob Nahf

- Due date changed from 2012-10-27 to 2012-11-10

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

#4 - 2012-12-12 19:01 - Rob Nahf

- Start date deleted (2012-08-31)

- Due date deleted (2012-11-10)

- Target version deleted (Sprint-2012.44-Block.6.2)

#5 - 2013-06-07 15:25 - Rob Nahf

possible solutions are multiple caches (one per subject), local access policy checking, perform a describe request, or isAuthorized() prior to returning

from the cache (if cached),  clearing the cache for new subjects, associating the cached object with a subject.

the describe check is probably the most elegant, but does introduce http connection overhead compared to not doing any checks at all.  The other

options require introspection of the subject for each call, and could lead to unnecessary downloads.

Another approach is a multi-client caching configuration option that would only implement access policy checks when configured that way. 
#6 - 2014-10-01 22:05 - Dave Vieglais

- Start date set to 2014-12-01

- Due date set to 2014-12-01

- Target version set to CCI-2.0.0

#7 - 2014-10-02 20:00 - Rob Nahf

- Due date deleted (2014-12-01)

- Start date deleted (2014-12-01)

- Target version deleted (CCI-2.0.0)

#8 - 2015-01-19 22:21 - Dave Vieglais

- Project changed from Infrastructure to Java Client

- Category deleted (d1_libclient_java)

#9 - 2015-02-11 18:37 - Rob Nahf

- Category set to d1_libclient_java
